"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.PasswordInputSkin = void 0;

var _classnames = _interopRequireDefault(require("classnames"));

var _react = _interopRequireDefault(require("react"));

var _Input = require("../../components/Input");

var _Tooltip = require("../../components/Tooltip");

var _PasswordInput = require("../../components/PasswordInput");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _objectWithoutProperties(source, excluded) { if (source == null) return {}; var target = _objectWithoutPropertiesLoose(source, excluded); var key, i; if (Object.getOwnPropertySymbols) { var sourceSymbolKeys = Object.getOwnPropertySymbols(source); for (i = 0; i < sourceSymbolKeys.length; i++) { key = sourceSymbolKeys[i]; if (excluded.indexOf(key) >= 0) continue; if (!Object.prototype.propertyIsEnumerable.call(source, key)) continue; target[key] = source[key]; } } return target; }

function _objectWithoutPropertiesLoose(source, excluded) { if (source == null) return {}; var target = {}; var sourceKeys = Object.keys(source); var key, i; for (i = 0; i < sourceKeys.length; i++) { key = sourceKeys[i]; if (excluded.indexOf(key) >= 0) continue; target[key] = source[key]; } return target; }

var PasswordInputSkin = function PasswordInputSkin(props) {
  var isTooltipOpen = props.isTooltipOpen,
      theme = props.theme,
      themeId = props.themeId,
      tooltip = props.tooltip,
      score = props.score,
      state = props.state,
      inputProps = _objectWithoutProperties(props, ["isTooltipOpen", "theme", "themeId", "tooltip", "score", "state"]);

  var input = _react["default"].createElement(_Input.Input, _extends({}, inputProps, {
    type: "password"
  }));

  var stateClass = state ? theme[themeId][state] : theme[themeId][_PasswordInput.PasswordInput.STATE.DEFAULT];
  return _react["default"].createElement("div", {
    className: (0, _classnames["default"])([theme[themeId].root, stateClass])
  }, tooltip ? _react["default"].createElement(_Tooltip.Tooltip, {
    arrowRelativeToTip: true,
    isCentered: true,
    isOpeningUpward: false,
    isVisible: isTooltipOpen,
    tip: tooltip,
    theme: props.theme
  }, input) : input, _react["default"].createElement("div", {
    className: theme[themeId].indicator
  }, _react["default"].createElement("div", {
    className: theme[themeId].score,
    style: {
      width: "".concat((score || 0) * 100, "%")
    }
  })));
};

exports.PasswordInputSkin = PasswordInputSkin;
//# sourceMappingURL=PasswordInputSkin.js.map